# UI\Executor::__construct

(PHP 7, UI 2.0.0)

UI\Executor::__construct — Construct a new Executor

### Description

public UI\Executor::__construct ( void )
public UI\Executor::__construct ( int `$microseconds` )
public UI\Executor::__construct ( int `$seconds` , int `$microseconds` )

Shall construct an executor with the given interval, will not start executing until main loop is entered

### Parameters

`seconds`

  Seconds between executions

`microseconds`

  Microseconds between executions